## ros-one-axis-camera 0.5.4-3jammy.20251023.0821

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(axis_camera)

find_package(catkin REQUIRED
  COMPONENTS
)
catkin_python_setup()

catkin_package()

catkin_install_python(PROGRAMS
  nodes/axis_camera_node
  nodes/axis_teleop_node
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY config launch tests
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-one-axis-camera (0.5.4-3jammy.20251023.0821) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Thu, 23 Oct 2025 08:21:08 +0000

ros-one-axis-camera (0.5.4-0jammy) jammy; urgency=high

  * Change default PS4 controller inputs (#84 <https://github.com/ros-drivers/axis_camera/issues/84>)
    * Refactor the teleop controls to make enable buttons optional, change the defaults to use the right thumb stick for pan/tilt and right/left analog triggers for zoom in/out
    * Fix comments in the PS4 controller configuration file, add an additional file with the alternative axis ordering (which is necessary for some controllers)
    * Expose the teleop config file as a launch argument
  * Contributors: Chris Iverach-Brereton

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Wed, 31 Jan 2024 00:00:00 -0000

ros-one-axis-camera (0.5.3-0jammy) jammy; urgency=high

  * Use the legacy IR URL by default, falling back to the new one if it's not available; on legacy cameras the new URL returns status 200, even though it doesn't do anything (#81 <https://github.com/ros-drivers/axis_camera/issues/81>)
  * Contributors: Chris Iverach-Brereton

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Mon, 15 Jan 2024 00:00:00 -0000

ros-one-axis-camera (0.5.2-0jammy) jammy; urgency=high

  * Add the config directory to the install targets
  * Contributors: Chris Iverach-Brereton

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Wed, 06 Dec 2023 00:00:00 -0000

ros-one-axis-camera (0.5.1-0jammy) jammy; urgency=high

  * Remove an unnecessary import
  * Contributors: Chris Iverach-Brereton

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Wed, 22 Nov 2023 00:00:00 -0000

ros-one-axis-camera (0.5.0-0jammy) jammy; urgency=high

  * Major overhaul for better PTZ support (#80 <https://github.com/ros-drivers/axis_camera/issues/80>)
    * Move the messages out of the driver and into their own package
    * Migrating essential components into the src folder so we can use a single ROS node to contain both the video & ptz functionality. Start filling necessary messages & services for incoming features
    * Remove the old axis and axis_ptz nodes, roll both into the new axis_camera_node script with the backends moved to the src directory
    * Remove the dynamic_reconfigure, strip the PTZ controller down to just controlling pan, tilt, and zoom; don't set brightness, white balance, etc.... Add support for velocity & position control topics, change the driver to use radians instead of degrees
    * Re-implement the teleop controls to use the PS4 controller. Fix some bugs found during testing
    * Expose the joy topic as an arg to make remapping easier
    * Use rad/s instead of [-100, 100] for pan & tilt velocity control
    * Re-implement brightness/iris/focus/etc... support via individual services & topics instead of all combined into a single one.
    * Latch the wiper, night-mode, and defogger topics instead of publishing at 1Hz. Prevent the wiper from being turned on if it's already on & running
    * Add meshes & URDF files for a fixed dome camera, PTZ dome camera, and the Q62 PTZ camera
    * Update the default camera frame ID to match the new description files
    * Update the plugin name for the dome camera model
    * Fixes after testing on hardware
  * Contributors: Chris Iverach-Brereton

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Wed, 15 Nov 2023 00:00:00 -0000

ros-one-axis-camera (0.4.8-0jammy) jammy; urgency=high

  * Fix the image_transport node to publish theora frames of the enable_theora argument is enabled.
  * Add fps as an additional argument to the launch file
  * Contributors: Chris Iverach-Brereton

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Fri, 11 Aug 2023 00:00:00 -0000

ros-one-axis-camera (0.4.7-0jammy) jammy; urgency=high

  * Fix a bug that caused the ptz node to crash if the camera has fixed brightness
  * Contributors: Chris Iverach-Brereton

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Thu, 01 Jun 2023 00:00:00 -0000

ros-one-axis-camera (0.4.6-0jammy) jammy; urgency=high

  * Wait until camera is online before connecting (#78 <https://github.com/ros-drivers/axis_camera/issues/78>)
    * Add a wait loop to prevent execution until the camera responds to a ping. This should prevent issues where the node starts while the camera is still powering-on, resulting in some excessive errors
    * Clear the camera position after publishing the state to avoid issues where we republush the same state ad nauseum if there's an error
  * Contributors: Chris Iverach-Brereton

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Fri, 05 May 2023 00:00:00 -0000

ros-one-axis-camera (0.4.5-0jammy) jammy; urgency=high

  * Enable digest authentication by default
  * Contributors: Chris Iverach-Brereton

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Thu, 30 Mar 2023 00:00:00 -0000

ros-one-axis-camera (0.4.4-0jammy) jammy; urgency=high

  * Improve support for the F34 multi-camera controller by adding default values for the camera index (1-4). Change the camera arg in view_axis to camera_name, change its default IP address to better-match with the main axis.launch file
  * Merge latest changes in master into noetic-devel
  * Merge Q62 support into noetic-devel branch (#76 <https://github.com/ros-drivers/axis_camera/issues/76>)
    * Add support for the Q6215 IR mode, defogger, and wiper
    * Ensure that wiper, defog, IR modes are all disabled on startup
    * Add a launch argument to expose the encrypted password option
    * Add support for basic & digest HTTP authorization
    * Rewrite some of the underling CGI calls to use requests to make the code easier to maintain
    * Add support for authentication to the PTZ node
    * Enable password encryption in view_axis.launch


=== debian/control ===
Source: ros-one-axis-camera
Section: misc
Priority: optional
Maintainer: Chris Iverach-Brereton <civerachb@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-one-camera-info-manager-py, ros-one-catkin, ros-one-rospy, ros-one-tf
Homepage: http://ros.org/wiki/axis_camera
Standards-Version: 3.9.2

Package: ros-one-axis-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-requests, ros-one-axis-msgs, ros-one-camera-info-manager-py, ros-one-geometry-msgs, ros-one-message-runtime, ros-one-rospy, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf
Description: Python ROS drivers for accessing an Axis camera's MJPG stream.
 Also provides control for PTZ cameras.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-axis-camera//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-axis-camera 0.5.4-3jammy.20251207.2120

=== debian/changelog ===
ros-one-axis-camera (0.5.4-3jammy.20251207.2120) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Sun, 07 Dec 2025 21:20:26 +0000

## ros-one-axis-camera 0.5.4-3jammy.20260221.0110

=== debian/changelog ===
ros-one-axis-camera (0.5.4-3jammy.20260221.0110) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Sat, 21 Feb 2026 01:10:57 +0000

## ros-one-axis-camera 0.5.4-3noble.20251023.0824

=== debian/changelog ===
ros-one-axis-camera (0.5.4-3noble.20251023.0824) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Thu, 23 Oct 2025 08:24:49 +0000

ros-one-axis-camera (0.5.4-0noble) noble; urgency=high

  * Change default PS4 controller inputs (#84 <https://github.com/ros-drivers/axis_camera/issues/84>)
    * Refactor the teleop controls to make enable buttons optional, change the defaults to use the right thumb stick for pan/tilt and right/left analog triggers for zoom in/out
    * Fix comments in the PS4 controller configuration file, add an additional file with the alternative axis ordering (which is necessary for some controllers)
    * Expose the teleop config file as a launch argument
  * Contributors: Chris Iverach-Brereton

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Wed, 31 Jan 2024 00:00:00 -0000

ros-one-axis-camera (0.5.3-0noble) noble; urgency=high

  * Use the legacy IR URL by default, falling back to the new one if it's not available; on legacy cameras the new URL returns status 200, even though it doesn't do anything (#81 <https://github.com/ros-drivers/axis_camera/issues/81>)
  * Contributors: Chris Iverach-Brereton

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Mon, 15 Jan 2024 00:00:00 -0000

ros-one-axis-camera (0.5.2-0noble) noble; urgency=high

  * Add the config directory to the install targets
  * Contributors: Chris Iverach-Brereton

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Wed, 06 Dec 2023 00:00:00 -0000

ros-one-axis-camera (0.5.1-0noble) noble; urgency=high

  * Remove an unnecessary import
  * Contributors: Chris Iverach-Brereton

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Wed, 22 Nov 2023 00:00:00 -0000

ros-one-axis-camera (0.5.0-0noble) noble; urgency=high

  * Major overhaul for better PTZ support (#80 <https://github.com/ros-drivers/axis_camera/issues/80>)
    * Move the messages out of the driver and into their own package
    * Migrating essential components into the src folder so we can use a single ROS node to contain both the video & ptz functionality. Start filling necessary messages & services for incoming features
    * Remove the old axis and axis_ptz nodes, roll both into the new axis_camera_node script with the backends moved to the src directory
    * Remove the dynamic_reconfigure, strip the PTZ controller down to just controlling pan, tilt, and zoom; don't set brightness, white balance, etc.... Add support for velocity & position control topics, change the driver to use radians instead of degrees
    * Re-implement the teleop controls to use the PS4 controller. Fix some bugs found during testing
    * Expose the joy topic as an arg to make remapping easier
    * Use rad/s instead of [-100, 100] for pan & tilt velocity control
    * Re-implement brightness/iris/focus/etc... support via individual services & topics instead of all combined into a single one.
    * Latch the wiper, night-mode, and defogger topics instead of publishing at 1Hz. Prevent the wiper from being turned on if it's already on & running
    * Add meshes & URDF files for a fixed dome camera, PTZ dome camera, and the Q62 PTZ camera
    * Update the default camera frame ID to match the new description files
    * Update the plugin name for the dome camera model
    * Fixes after testing on hardware
  * Contributors: Chris Iverach-Brereton

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Wed, 15 Nov 2023 00:00:00 -0000

ros-one-axis-camera (0.4.8-0noble) noble; urgency=high

  * Fix the image_transport node to publish theora frames of the enable_theora argument is enabled.
  * Add fps as an additional argument to the launch file
  * Contributors: Chris Iverach-Brereton

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Fri, 11 Aug 2023 00:00:00 -0000

ros-one-axis-camera (0.4.7-0noble) noble; urgency=high

  * Fix a bug that caused the ptz node to crash if the camera has fixed brightness
  * Contributors: Chris Iverach-Brereton

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Thu, 01 Jun 2023 00:00:00 -0000

ros-one-axis-camera (0.4.6-0noble) noble; urgency=high

  * Wait until camera is online before connecting (#78 <https://github.com/ros-drivers/axis_camera/issues/78>)
    * Add a wait loop to prevent execution until the camera responds to a ping. This should prevent issues where the node starts while the camera is still powering-on, resulting in some excessive errors
    * Clear the camera position after publishing the state to avoid issues where we republush the same state ad nauseum if there's an error
  * Contributors: Chris Iverach-Brereton

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Fri, 05 May 2023 00:00:00 -0000

ros-one-axis-camera (0.4.5-0noble) noble; urgency=high

  * Enable digest authentication by default
  * Contributors: Chris Iverach-Brereton

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Thu, 30 Mar 2023 00:00:00 -0000

ros-one-axis-camera (0.4.4-0noble) noble; urgency=high

  * Improve support for the F34 multi-camera controller by adding default values for the camera index (1-4). Change the camera arg in view_axis to camera_name, change its default IP address to better-match with the main axis.launch file
  * Merge latest changes in master into noetic-devel
  * Merge Q62 support into noetic-devel branch (#76 <https://github.com/ros-drivers/axis_camera/issues/76>)
    * Add support for the Q6215 IR mode, defogger, and wiper
    * Ensure that wiper, defog, IR modes are all disabled on startup
    * Add a launch argument to expose the encrypted password option
    * Add support for basic & digest HTTP authorization
    * Rewrite some of the underling CGI calls to use requests to make the code easier to maintain
    * Add support for authentication to the PTZ node
    * Enable password encryption in view_axis.launch


## ros-one-axis-camera 0.5.4-3noble.20251208.0821

=== debian/changelog ===
ros-one-axis-camera (0.5.4-3noble.20251208.0821) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Mon, 08 Dec 2025 08:21:27 +0000

## ros-one-axis-camera 0.5.4-3noble.20260221.0147

=== debian/changelog ===
ros-one-axis-camera (0.5.4-3noble.20260221.0147) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Sat, 21 Feb 2026 01:47:02 +0000
